Subject: bug#12545: 24.2; Updating packages does not reload files.

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Nov 2012 11:26:37 -0500

> But this does not address the problem of reloading files that are out
> of date.

No, indeed, it just reduces the pain due to not reloading them.

> The problem being how to upgrade packages and then have those packages get
> updated to their new versions without actually restarting Emacs.

In general this is not possible right now (e.g. any defvars will keep
using the value from the old version; removed functions and vars might
linger around; ...).
We could provide the option to "try to reload and cross your fingers".
We could also provide "try to unload-feature, cross your fingers, and
then reload".

        Stefan